View Issue Details

IDProjectCategoryView StatusLast Update
0021964mantisbtcustom fieldspublic2017-01-10 10:54
Reporteratrol 
Assigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.4 
Target Version1.3.5Fixed in Version1.3.5 
Summary0021964: Editing issues with custom fields throws system notice
Description

Regression in 1.3.4

Using bug_update_page.php to edit issues with custom fields throws

SYSTEM NOTICE: Undefined offset: 215 in /var/www/html/master-1.3.x/core/custom_field_api.php line 954

TagsNo tags attached.

Relationships

related to 0021900 closedcproensa Custom fields produce a large number of db queries 
has duplicate 0021984 closedatrol fill custom field textboxes with saved value at edit 
has duplicate 0022008 closedatrol custom_field_get_value api function crashes when bug has custon field 
has duplicate 0022016 closedatrol Issue Edit Page Clears Previous Custom Field Values 
has duplicate 0022029 closedatrol custom field due_date is shown without any content 
has duplicate 0022044 closedatrol Values of Custom Fiels are lost when editing issue 
related to 0022155 resolveddregad Content not shown in edit mode for textarea custom field 

Activities

cproensa

cproensa

2016-11-27 06:21

developer   ~0054608

sorry for that

https://github.com/mantisbt/mantisbt/pull/961

Related Changesets

MantisBT: master-1.3.x fcb8c3cc

2016-11-27 06:16:28

cproensa

Details Diff
Fix regression editing issues with custom fields

Editing issues with custom fields throws system notice
introduced by c845166b5eabb72fa78d89b2b2c557c67520fe38
Regression in 1.3.4

Fixes: 0021964
mod - core/custom_field_api.php Diff File

Issue History

Date Modified Username Field Change
2016-11-27 05:49 atrol New Issue
2016-11-27 05:56 atrol Relationship added related to 0021900
2016-11-27 05:56 atrol Assigned To => cproensa
2016-11-27 05:56 atrol Status new => assigned
2016-11-27 06:21 cproensa Note Added: 0054608
2016-11-27 07:55 cproensa Changeset attached => MantisBT master-1.3.x fcb8c3cc
2016-11-27 07:55 cproensa Status assigned => resolved
2016-11-27 07:55 cproensa Resolution open => fixed
2016-11-27 07:55 cproensa Fixed in Version => 1.3.5
2016-11-29 14:01 atrol Relationship added has duplicate 0021984
2016-12-05 08:12 atrol Relationship added related to 0022008
2016-12-05 08:46 atrol Relationship deleted related to 0022008
2016-12-05 08:46 atrol Relationship added has duplicate 0022008
2016-12-06 16:38 atrol Relationship added has duplicate 0022016
2016-12-09 17:43 atrol Relationship added has duplicate 0022029
2016-12-14 16:32 atrol Relationship added has duplicate 0022044
2016-12-30 15:54 vboctor Status resolved => closed
2017-01-10 10:54 dregad Relationship added related to 0022155